HttpResponse::setStream
HttpResponse::status
The HttpResponse
PHP Manual

# HttpResponse::setThrottleDelay

(PECL pecl_http >= 0.10.0)

HttpResponse::setThrottleDelay — Set throttle delay

### Description

static bool HttpResponse::setThrottleDelay ( float `$seconds` )

Sets the throttle delay.

> Note: Provides a basic throttling mechanism, which will yield the current process or thread until the entity has been completely sent.

> Note: This may not work as expected with the following SAPI(s): FastCGI.

### Parameters

`seconds`

  seconds to sleep after each chunk sent

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getBufferSize - Get buffer size
- HttpResponse::setBufferSize - Set buffer size
- HttpResponse::getThrottleDelay - Get throttle delay

HttpResponse::setStream
HttpResponse::status
The HttpResponse
PHP Manual